commit: 8be5fc83dfffd37f2b607cfcbe6b17be01745594
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Mon Feb 20 11:59:55 2017 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Mon Feb 20 11:59:55 2017 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=8be5fc83
sci-biology/tablet-bin: do not zap bundled jar files as we do not have a
package for them in Gentoo
Maybe except picard.jar while upstream uses picard-1.113 in tablet-1.16.09.06.
We should be around 2.0.3 with sci-biology/picard-9999 as of now.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
sci-biology/tablet-bin/tablet-bin-1.16.09.06.ebuild | 11 +++++++++++
1 file changed, 11 insertions(+)
diff --git a/sci-biology/tablet-bin/tablet-bin-1.16.09.06.ebuild
b/sci-biology/tablet-bin/tablet-bin-1.16.09.06.ebuild
index 4231c9411..6fc765e54 100644
--- a/sci-biology/tablet-bin/tablet-bin-1.16.09.06.ebuild
+++ b/sci-biology/tablet-bin/tablet-bin-1.16.09.06.ebuild
@@ -40,6 +40,8 @@ DEPEND="${PYTHON_DEPS}
RDEPEND="${DEPEND}
>=virtual/jre-1.8"
# contains bundled sqlite-jdbc-3.8.6.jar, samtools-linux64.jar, picard.jar
+# sqlite-jdbc-3.8.6.jar is not dev-db/sqlite:3 and samtools-linux64.jar is not
sci-biology/samtools either
+# replacing picard.jar with a symlink to picard.jar from sci-biology.picard
does not help either
S="${WORKDIR}"
@@ -90,6 +92,15 @@ src_install() {
rm -rf "${ED}"/opt/Tablet/jre "${ED}"/opt/Tablet/.install4j || die
+ # zap bundled jars
+ # do not zap even picard.jar because tablet does not start then with an
error:
+ # java.lang.NoClassDefFoundError: net/sf/samtools/SAMReadGroupRecord
+ # not even a symlink to "${EPREFIX}"/usr/share/picard/lib/picard.jar
helps
+ #
+ # for f in picard.jar; do
+ # rm -f "${ED}"/opt/Tablet/lib/"$f" || die
+ # done
+
# this dies with tablet-bin-1.14.04.10 with
# * python2_7: running python_doscript
/mnt/1TB/var/tmp/portage/sci-biology/tablet-bin-1.14.04.10/work/coveragestats.py
# * The file has incompatible shebang: